# 导出模块配置信息

> 用于导出指定模块的相关配置信息。

## 模块界面

![](./static/images/01_03.png)

## 模块功能说明

- 顶部为菜单栏，用于选择生成哪些配置信息，并触发配置信息生成
  - 生成：根据选择的节点和选择项，生成相关配置信息
  - 导出：把生成的配置信息，导出为.sql文件
  - 装配信息：模块的界面配置信息和数据源配置信息
  - Grid查询定义：模块用到的Grid查询定义信息
  - Form查询定义：模块用到的Form查询定义信息
  - 多语言对照：模块用到的多语言配置信息
  - 打印方案：模块用到的模块套打方案信息
  - 系统参数：模块是系统参数时选择
  - 数据权限定义：模块用到的数据权限信息
  - 辅助资料：模块时否则资料时选择
  - 表单类型：模块用到的表单类型信息
  - 报表：模块是报表时选择
  - 全选：选择所有的选择项
  - 全清：清空所有的选择项
- 模块左侧为功能架构树，用于选择导出哪些模块的相关配置信息。
- 模块右侧为生成的配置信息预览区域

## 模块要点

> 因为要保证导出的配置信息的正确性，因此要求只有锁定后的数据才允许导出，所以模块有以下控制点。

- 选择功能架构节点时，如果菜单项已经勾选了配置项，则会检查勾选的配置项对应的配置信息是否锁定。如果未锁定则提示并且不允许选中功能架构节点
- 同理，在勾选配置项时，如果功能架构节点已经选择，则也会进行锁定的检查，如果未锁定，同样不会选中配置项